complexType "Resource"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 12 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 12 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | resourceId, resourceType?, language?, sizeInBytes?, length?, mimeType, name?, comments?, (string | hexadecimalBinary | base64Binary | url)?
</...>

Content Model Elements (12):

  base64Binary (defined in Resource complexType), comments, hexadecimalBinary (defined in Resource complexType), language, length, mimeType (defined in Resource complexType), | name (defined in Resource complexType), resourceId, resourceType, sizeInBytes, string (defined in Resource complexType), url (defined in Resource complexType)

All Direct / Indirect Based Elements (2):

  attachment,
  publiclyAvailableInformation (defined in CreditEventNoticeDocument complexType)

Known Usage Locations

- As direct type of elements (2):
  attachment,
  publiclyAvailableInformation (defined in CreditEventNoticeDocument complexType)

Annotation
Describes the resource that contains the media representation of a business event (i.e used for stating the Publicly Available Information). For example, can describe a file or a URL that represents the event. This type is an extended version of a type defined by RIXML (www.rixml.org).
XML Source (w/o annotations (13); see within schema source)

<xsd:complexType name="Resource"> <xsd:sequence> <xsd:element name="resourceId" type="ResourceId"/> <xsd:element minOccurs="0" name="resourceType" type="ResourceType"/> <xsd:element minOccurs="0" name="language" type="Language"/> <xsd:element minOccurs="0" name="sizeInBytes" type="xsd:decimal"/> <xsd:element minOccurs="0" name="length" type="ResourceLength"/> <xsd:element name="mimeType" type="MimeType"/> <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"/> <xsd:element minOccurs="0" name="comments" type="xsd:string"/> <xsd:choice minOccurs="0"> <xsd:element name="string" type="xsd:string"/> <xsd:element name="hexadecimalBinary" type="xsd:hexBinary"/> <xsd:element name="base64Binary" type="xsd:base64Binary"/> <xsd:element name="url" type="xsd:anyURI"/> <!-- commented out pending business interest <xsd:element name="attachmentReference" type="HTTPAttachmentReference"> <xsd:annotation> <xsd:documentation xml:lang="en">Provides a place to put a reference to an attachment on an HTTP message, such as is used by SOAP with Attachments and ebXML.</xsd:documentation> </xsd:annotation> </xsd:element> --> </xsd:choice> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 12/12)
base64Binary

  Type: | xsd:base64Binary, predefined, simple content

  Provides extra information as binary contents coded in base64.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="base64Binary" type="xsd:base64Binary"/>

comments

  Type: | xsd:string, predefined, simple content

  Any additional comments that are deemed necessary. For example, which software version is required to open the document? Or, how does this resource relate to the others for this event?
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="comments" type="xsd:string"/>

hexadecimalBinary

  Type: | xsd:hexBinary, predefined, simple content

  Provides extra information as binary contents coded in hexadecimal.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="hexadecimalBinary" type="xsd:hexBinary"/>

language

  Type: | Language, simple content

  Indicates the language of the resource, described using the ISO 639-2/T Code.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="language" type="Language"/>

length

  Type: | ResourceLength, complex content

  Indicates the length of the resource. For example, if the resource were a PDF file, the length would be in pages.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="length" type="ResourceLength"/>

mimeType

  Type: | MimeType, simple content

  Indicates the type of media used to store the content. mimeType is used to determine the software product(s) that can read the content. MIME Types are described in RFC 2046.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="mimeType" type="MimeType"/>

name

  Type: | xsd:normalizedString, predefined, simple content

  The name of the resource.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="name" type="xsd:normalizedString"/>

resourceId

  Type: | ResourceId, simple content

  The unique identifier of the resource within the event.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="resourceId" type="ResourceId"/>

resourceType

  Type: | ResourceType, simple content

  A description of the type of the resource, e.g. a confirmation.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="resourceType" type="ResourceType"/>

sizeInBytes

  Type: | xsd:decimal, predefined, simple content

  Indicates the size of the resource in bytes. It could be used by the end user to estimate the download time and storage needs.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="sizeInBytes" type="xsd:decimal"/>

string

  Type: | xsd:string, predefined, simple content

  Provides extra information as string. In case the extra information is in XML format, a CDATA section must be placed around the source message to prevent its interpretation as XML content.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="string" type="xsd:string"/>

url

  Type: | xsd:anyURI, predefined, simple content

  Indicates where the resource can be found, as a URL that references the information on a web server accessible to the message recipient.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="url" type="xsd:anyURI"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.